package server;

import java.rmi.Remote;
import java.rmi.*;

/**
 * Interface to allow remote clients to be notified
 * of updates from the game.  This is the only interface
 * the client exports to the server.
 *
 * @see client.GameObserver
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 3.0 1999-04-02
 **/
public interface RemoteObserver extends Remote {
	public void update(Move move)
		throws RemoteException;
}
