import java.io.*;
/**
 * Interface for TicTacToe and Gomoku.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.3 1999-02-07
 */
public interface BoardGame {
	public void update() throws IOException;
	public void move(char col, char row, char mark)
		throws AssertionException;
	public Player currentPlayer();
	public Player winner();
	public boolean notOver();
	public int squaresLeft();
	public void test();
}
