package tictactoe;

import java.io.*;

/**
 * Manage interaction with user.  An Appletplayer attempts
 * to make a move it is the current player and when a PlaceListener
 * detects a mouse click.
 *
 * @see PlaceListener
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.0 1999-03-26
 */
public class AppletPlayer extends InactivePlayer {

	public AppletPlayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 */
	public void move(int col, int row) throws AssertionException {
		game_.move(col, row, this);
	}
}
