
import java.util.Date;

/**
 * A utility class to help us run benchmarks.
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-25
 * @version 1.1 2001-02-14
 */
public class Timer {
	protected Date startTime_;
	
	/**
	 * You can either create a new instance whenever
	 * you want to time something, or you can reset()
	 * an existing instance.
	 */
	public Timer() { this.reset(); }
	
	public void reset() {
		startTime_ = new Date();
	}
	
	/**
	 * How many milliseconds have elapsed since
	 * the last reset()?  NB: does not reset the timer!
	 */
	public long timeElapsed() {
		return new Date().getTime() - startTime_.getTime();
	}

/*
	protected long timeNow() {
		return new Date().getTime();
	} */
}
